@import 'layout';
@import 'variables';

.eventForm {
  --fontsize-header: var(--fontsize-heading-s);
  --fontsize-label: 0.875em;
  --grid-gap: var(--spacing-xl);

  --lineheight-label: var(--label-height);
}

.eventForm {
  display: grid;
  grid-gap: var(--grid-gap);

  @include respond_above(sm) {
    grid-template-columns: 5fr 2fr;
  }

  h2 {
    font-size: var(--fontsize-header) !important;
    margin: 2rem 0;
  }

  .durationRow {
    display: grid;
    grid-gap: 20px;

    @include respond_above(sm) {
      grid-template-columns: 1fr 1fr;
    }
  }

  .languageRow {
    display: grid;
    grid-gap: var(--grid-gap);

    @include respond_above(sm) {
      grid-template-columns: 1fr 1fr;
    }
  }

  .priceRow {
    display: grid;
    grid-gap: var(--grid-gap);

    @include respond_above(sm) {
      grid-template-columns: 1fr 2fr 1fr;
    }

    .isFreeWrapper {
      @include respond_above(sm) {
        display: flex;
        align-self: end;
        margin-bottom: 1px;

        div {
          align-self: center;
        }
      }
    }
  }

  .imageSelectRow {
    display: grid;
    grid-gap: var(--grid-gap);

    @include respond_above(sm) {
      grid-template-columns: 180px 1fr;
    }

    .imageSelect {
      min-width: 180px;
    }

    .imageInstructionsText {
      align-self: center;
      padding-top: 10px;
    }
  }
}

.occurrenceFormRow {
  display: grid;

  @include respond_above(md) {
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: $baseMargin;
  }
}

.buttonsWrapper {
  button {
    margin-right: var(--spacing-m);
  }
}

.formSection {
  margin: var(--spacing-xl) 0 calc(var(--spacing-xl) * 2) 0;
}

.placeInfoContainer {
  margin: var(--spacing-s) 0;
}

.helperText {
  composes: hds-text-input from '~hds-core/lib/components/text-input/text-input.css';
  composes: hds-text-input__helper-text from '~hds-core/lib/components/text-input/text-input.css';
}

.headerWithInfo {
  h2 {
    margin-bottom: 0.5rem;
  }

  margin: 2rem 0;
}
